﻿

using System.Runtime.CompilerServices;

namespace exc.jdbi.Spans;


partial class SpanTool
{

  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public static void Clear<T>(Span<T> values)
  {
    values.Clear();
  }

  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public static void Clear<T>(Span<T?> values, int start)
  {
    values[start..].Clear();
  }

  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public static void Clear<T>(Span<T?> values, int start, int count)
  {
    values.Slice(start, count).Clear();
  }
}
