﻿

using System.Runtime.CompilerServices;

namespace exc.jdbi.Spans;

partial class SpanTool
{

  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public static Span<TOUT> ConvertToHeap<TIN, TOUT>(ReadOnlySpan<TIN> values, Converter<TIN, TOUT> converter)
  {
    //Die Zahlen einer Menge werden einzeln betrachtet. 
    //The numbers of a set are considered individually. 
    return Array.ConvertAll(values.ToArray(), converter);
  }
}
