﻿

using System.Runtime.CompilerServices;

namespace exc.jdbi.Spans;


partial class SpanTool
{

  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public static void Copy<T>(ReadOnlySpan<T> src, int startsrc, Span<T> dst, int startdst, int count)
  {
    src.Slice(startsrc, count).CopyTo(dst.Slice(startdst, count));
  }

  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public static void Copy<T>(Span<T> src, int startsrc, Span<T> dst, int startdst, int count)
  {
    src.Slice(startsrc, count).CopyTo(dst.Slice(startdst, count));
  }

}
