﻿

using System.Runtime.CompilerServices;

namespace exc.jdbi.Spans;


partial class SpanTool
{

  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public unsafe static void ForEach<T>(Span<T> span, Action<T> action)
  {
    foreach (var spanitem in span)
      action(spanitem);
  }


  [SkipLocalsInit]
  [MethodImpl(MethodImplOptions.AggressiveInlining)]
  public unsafe static void ForEach<T>(Span<T> span, Action<T, int> action)
  {
    int i = 0;
    foreach (var spanitem in span)
      action(spanitem, i++);
  }

}
